// Assert functions return if executed without errors

#ifndef _ASSERT_OPS_LIBC_H
#define _ASSERT_OPS_LIBC_H

#include <stdio.h>

char *assert_aprintf(const char *fmt, ...)
	__attribute__((format(printf, 1, 2)));
void assert_fclose(FILE *fp);
FILE *assert_fdopen(int fd, const char *mode);
FILE *assert_fopen(const char *path, const char *mode);
void assert_fputs(const char *s, FILE *stream);
void *assert_malloc(size_t size);
void assert_putc(int c, FILE *stream);
char *assert_strdup(const char *s);

#endif
